QPNGImagePacker(3qt)

NAME
QPNGImagePacker - Creates well-compressed PNG animations

SYNOPSIS
#include <qpngio.h>

  Public Members
QPNGImagePacker ( QIODevice * iod, int storage_depth, int conversionflags )
void setPixelAlignment ( int x )
bool packImage ( const QImage & img )

DESCRIPTION
The QPNGImagePacker class creates well-compressed PNG animations.

By using transparency, QPNGImagePacker allows you to build a PNG image from a sequence of QImages.

Images are added using packImage().

See also Graphics Classes and Image Processing Classes.

MEMBER FUNCTION DOCUMENTATION

QPNGImagePacker::QPNGImagePacker ( QIODevice * iod, int storage_depth, int conversionflags )
Creates an image packer that writes PNG data to IO device iod using a storage_depth bit encoding (use 8 or 32, depending on the desired quality and compression requirements).

If the image needs to be modified to fit in a lower-resolution result (e.g. converting from 32-bit to 8-bit), use the conversionflags to specify how you'd prefer this to happen.

See also Qt::ImageConversionFlags.

bool QPNGImagePacker::packImage ( const QImage & img )
Adds the image img to the PNG animation, analyzing the differences between this and the previous image to improve compression.

void QPNGImagePacker::setPixelAlignment ( int x )
Aligns pixel differences to x pixels. For example, using 8 can improve playback on certain hardware. Normally the default of 1-pixel alignment (i.e. no alignment) gives better compression and performance.

SEE ALSO
http://doc.trolltech.com/qpngimagepacker.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2007 Trolltech ASA, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports help us to help you. Thank you.

The definitive Qt documentation is provided in HTML format; it is located at $QTDIR/doc/html and can be read using Qt Assistant or with a web browser. This man page is provided as a convenience for those users who prefer man pages, although this format is not officially supported by Trolltech.

If you find errors in this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (qpngimagepacker.3qt) and the Qt version (3.3.8).